Name:           perl-libwww-perl
Version:        6.18
Release:        1%{?org_tag}%{?dist}
Summary:        The World-Wide-Web library for Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/libwww-perl/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAS/libwww-perl-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008008
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Compress::Raw::Zlib)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Encode) >= 2.12
BuildRequires:  perl(Encode::Locale)
BuildRequires:  perl(File::Listing) >= 6.00
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::HeadParser)
BuildRequires:  perl(HTTP::Cookies) >= 6.00
BuildRequires:  perl(HTTP::Daemon) >= 6.00
BuildRequires:  perl(HTTP::Date) >= 6.00
BuildRequires:  perl(HTTP::Negotiate) >= 6.00
BuildRequires:  perl(HTTP::Request) >= 6.00
BuildRequires:  perl(HTTP::Request::Common) >= 6.00
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(LWP::MediaTypes) >= 6.00
#BuildRequires:  perl(LWP::Protocol::https) >= 6.02
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Net::FTP) >= 2.58
BuildRequires:  perl(Net::HTTP) >= 6.04
BuildRequires:  perl(URI) >= 1.10
BuildRequires:  perl(WWW::RobotRules) >= 6.00
Requires:       perl(Compress::Raw::Zlib)
Requires:       perl(Digest::MD5)
Requires:       perl(Encode) >= 2.12
Requires:       perl(Encode::Locale)
Requires:       perl(File::Listing) >= 6.00
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::HeadParser)
Requires:       perl(HTTP::Cookies) >= 6.00
Requires:       perl(HTTP::Daemon) >= 6.00
Requires:       perl(HTTP::Date) >= 6.00
Requires:       perl(HTTP::Negotiate) >= 6.00
Requires:       perl(HTTP::Request) >= 6.00
Requires:       perl(HTTP::Request::Common) >= 6.00
Requires:       perl(HTTP::Status)
Requires:       perl(IO::Select)
Requires:       perl(IO::Socket)
Requires:       perl(LWP::MediaTypes) >= 6.00
Requires:       perl(LWP::Protocol::https) >= 6.02
Requires:       perl(MIME::Base64)
Requires:       perl(Net::FTP) >= 2.58
Requires:       perl(Net::HTTP) >= 6.04
Requires:       perl(URI) >= 1.10
Requires:       perl(WWW::RobotRules) >= 6.00
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
AutoReq:        no

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface (API) to the World-
Wide Web. The main focus of the library is to provide classes and
functions that allow you to write WWW clients. The library also contain
modules that are of more general use and even classes that help you
implement simple HTTP servers.

Most modules in this library provide an object oriented API. The user
agent, requests sent and responses received from the WWW server are all
represented by objects. This makes a simple and powerful interface to
these services. The interface is easy to extend and customize for your
own needs.

%prep
%setup -q -n libwww-perl-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# Create GET/HEAD/POST symlinks
pushd %{buildroot}%{_bindir}
for i in GET HEAD POST; do
  ln -s lwp-request $i 
done
popd
  
%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changes README README.SSL talk-to-ourself
%{_bindir}/*
%{_mandir}/man1/*
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Feb 08 2017 Gavin Carr <gavin@openfusion.com.au> 6.18-1
- Update to version 6.18.

* Tue Jul 22 2014 Gavin Carr <gavin@openfusion.com.au> 6.07-1
- Update to version 6.07.

* Wed Apr 18 2012 Gavin Carr <gavin@openfusion.com.au> 6.04-1
- Update to version 6.04.

* Fri Feb 11 2011 Gavin Carr <gavin@openfusion.com.au> 5.837-1
- Specfile autogenerated by cpanspec 1.79.
